---
# tasks file for /etc/ansible/roles/mysql
#
#
- name: Install Mysql 
  apt:
    name: "{{ item }}"
    state: present
  with_items: 
      - mysql-server
      - mysql-client
      - mysql-common
      - python-mysqldb

  when: ansible_os_family == "Debian"    

- name: create /root/.my.cnf (from template) with password credentials
  template: 
         src: my.cnf.j2 
         dest: /root/.my.cnf  
         owner: root 
         mode: 0600

 - name: update mysql root password for all root accounts
  mysql_user: name=root host={{ item }} password={{ mysql_root_password }} sql_log_bin=yes priv=*.*:ALL,GRANT
  with_items:
        - "{{ ansible_hostname }}"
        - 127.0.0.1
        - ::1
        - "localhost"
  - name: create new user
  mysql_user:
    name: --admin
    host: "{{ item }}"
    password: admin
    sql_log_bin: yes
    priv: '*.*:ALL,GRANT'
    login_user: root
    login_password: "{{mysql_root_password}}"
  with_items:
        - 127.0.0.1
        

- name: create new user
  mysql_user: 
    name: akram 
    host: "{{ item }}"
    password: "{{ ak_password }}" 
    sql_log_bin: yes
    priv: 'databases.*:SELECT'
    login_user: root
    login_password: "{{mysql_root_password}}"
  with_items:
        - 127.0.0.1
  
  notify:
      - restart mysql

- name: Install system in python
  yum:
    name: "{{ item }}"
    state: present
  with_items:
        - mysql-server
        - python3-pip
  when: ansible_os_family == "Centos"  
- name: pip install mysql
  pip:
    name: "{{ item }}" 
    state: forcereinstall 
    executable: /usr/bin/pip3
  with_items:
       - mysql-connector-python
       - MySQL-python
  when: ansible_os_family == "Centos"

